Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceLogManagementService

public interface VoiceLogManagementService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `voiceAddProcessLogs(Integer deviceId, List<Date> days)`
  `void`
  `voiceAddRadiusProcessLogs(Integer deviceId, List<Date> days)`
  `void`
  `voiceDeleteProcessLogs(Integer deviceId, List<Date> days)`
  `Result<?>`
  `voiceLogExist(Integer deviceId, Date month)`
  `List<VoiceProcessLog>`
  `voiceLogLoaded(Integer deviceId, Date month)`
  `List<DataProcessRecord>`
  `voiceLogLoading(Integer deviceId, Date month)`
  `Result<?>`
  `voiceRadiusLogExist(Integer deviceId, Date month)`

- ## Method Details

  - ### voiceLogExist

    Result<?> voiceLogExist(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceRadiusLogExist

    Result<?> voiceRadiusLogExist(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceLogLoading

    List<DataProcessRecord> voiceLogLoading(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceLogLoaded

    List<VoiceProcessLog> voiceLogLoaded(Integer deviceId, Date month) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAddProcessLogs

    void voiceAddProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAddRadiusProcessLogs

    void voiceAddRadiusProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDeleteProcessLogs

    void voiceDeleteProcessLogs(Integer deviceId, List<Date> days) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`